/*
 ______           _____            _               ____
|  ____|         |  __ \          (_)             |___ \
| |__ _   _ _ __ | |__) |__ _  ___ _ _ __   __ _    __) |
|  __| | | | '_ \|  _  // _` |/ __| | '_ \ / _` |  |__ <
| |  | |_| | | | | | \ \ (_| | (__| | | | | (_| |  ___) |
|_|   \__,_|_| |_|_|  \_\__,_|\___|_|_| |_|\__, | |____/
                                            __/ |
                                           |___/
Copyright (C) 2009 Slempkes Clément

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>.

*/

#include "pixel.h"

#ifndef FUNRACING_H_INCLUDED
#define FUNRACING_H_INCLUDED

typedef struct car car;
struct car
{
    double px, py;
    double speed;
    double angleR;
    double angleM;
    int detectRoad;
    int dif;
    int borne;
    int laps;
    int msgCount;
    int msgID;
    int stat;
    int colorCol;
    int skidpass;
};

int title(SDL_Surface *screen);
int play(SDL_Surface *screen);
int options(SDL_Surface *screen);
int choosecolors(SDL_Surface *screen, int *pointeurcurX, int *pointeurcurY);
int credits(SDL_Surface *screen);
int gamePlay(SDL_Surface *screen, int nbrPlayer, int nbrCPU, int nbrLaps, int botDim, int intLocked);
int pause(SDL_Surface *screen);
int filtering(SDL_Surface *screen);
int error();
void read_config();
int save_config();

#endif // FUNRACING_H_INCLUDED
